Package Gnumed :: Package wxpython :: Module gmMultiSash :: Class cMultiSashSplitter |
[frames] | no frames]

# Class cMultiSashSplitter

source code

    wx.Window --+
                |
               cMultiSashSplitter

Basic split windows container of the multisash widget. Has references to two leafs or splitted windows (typically, first leaf is another cMultiSashSplitter and the second leaf is the displayed content widget).

Instance Methods
__init__(self, top_parent, parent, pos, size, leaf1=None) | source code
AddLeaf(self, direction, caller, pos) | source code
DestroyLeaf(self, caller) | source code
CanSize(self, side, view) | source code
SizeTarget(self, side, view) | source code
SizeLeaf(self, leaf, pos, side) | source code
OnSize(self, evt) | source code